weka.classifiers

## Class ParallelMultipleClassifiersCombiner

- java.lang.Object
- - weka.classifiers.AbstractClassifier
  - - weka.classifiers.MultipleClassifiersCombiner
    - - weka.classifiers.ParallelMultipleClassifiersCombiner

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Classifier, BatchPredictor, CapabilitiesHandler, CapabilitiesIgnorer, CommandlineRunnable, OptionHandler, RevisionHandler
  Direct Known Subclasses:
    RandomizableParallelMultipleClassifiersCombiner

      public abstract class ParallelMultipleClassifiersCombiner
      extends MultipleClassifiersCombiner

  Abstract utility class for handling settings common to meta classifiers that build an ensemble in parallel using multiple classifiers.
  Version:
    $Revision: 10141 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class weka.classifiers.AbstractClassifier

      `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParallelMultipleClassifiersCombiner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildClassifier(Instances data)` Stump method for building the classifiers
    `int` | `getNumExecutionSlots()` Get the number of execution slots (threads) to use for building the members of the ensemble.
    `java.lang.String[]` | `getOptions()` Gets the current settings of the classifier.
    `java.util.Enumeration<Option>` | `listOptions()` Returns an enumeration describing the available options.
    `java.lang.String` | `numExecutionSlotsTipText()` Returns the tip text for this property
    `void` | `setNumExecutionSlots(int numSlots)` Set the number of execution slots (threads) to use for building the members of the ensemble.
    `void` | `setOptions(java.lang.String[] options)` Parses a given list of options.

    - ### Methods inherited from class weka.classifiers.MultipleClassifiersCombiner

      `classifiersTipText, getCapabilities, getClassifier, getClassifiers, postExecution, preExecution, setClassifiers`

    - ### Methods inherited from class weka.classifiers.AbstractClassifier

      `batchSizeTipText, classifyInstance, debugTipText, distributionForInstance, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getRevision, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParallelMultipleClassifiersCombiner

          public ParallelMultipleClassifiersCombiner()

  - ### Method Detail

    - #### listOptions

          public java.util.Enumeration<Option> listOptions()

      Returns an enumeration describing the available options.
      Specified by:
        `listOptions` in interface `OptionHandler`
      Overrides:
        `listOptions` in class `MultipleClassifiersCombiner`
      Returns:
        an enumeration of all the available options.

    - #### setOptions

          public void setOptions(java.lang.String[] options)
                          throws java.lang.Exception

      Parses a given list of options. Valid options are:

      -Z num
      Set the number of execution slots to use (default 1 - i.e. no parallelism).

      Options after -- are passed to the designated classifier.

      Specified by:
        `setOptions` in interface `OptionHandler`
      Overrides:
        `setOptions` in class `MultipleClassifiersCombiner`
      Parameters:
        `options` - the list of options as an array of strings
      Throws:
        `java.lang.Exception` - if an option is not supported

    - #### getOptions

          public java.lang.String[] getOptions()

      Gets the current settings of the classifier.
      Specified by:
        `getOptions` in interface `OptionHandler`
      Overrides:
        `getOptions` in class `MultipleClassifiersCombiner`
      Returns:
        an array of strings suitable for passing to setOptions

    - #### setNumExecutionSlots

          public void setNumExecutionSlots(int numSlots)

      Set the number of execution slots (threads) to use for building the members of the ensemble.
      Parameters:
        `numSlots` - the number of slots to use.

    - #### getNumExecutionSlots

          public int getNumExecutionSlots()

      Get the number of execution slots (threads) to use for building the members of the ensemble.
      Returns:
        the number of slots to use

    - #### numExecutionSlotsTipText

          public java.lang.String numExecutionSlotsTipText()

      Returns the tip text for this property
      Returns:
        tip text for this property suitable for displaying in the explorer/experimenter gui

    - #### buildClassifier

          public void buildClassifier(Instances data)
                               throws java.lang.Exception

      Stump method for building the classifiers
      Parameters:
        `data` - the training data to be used for generating the ensemble
      Throws:
        `java.lang.Exception` - if the classifier could not be built successfully